/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   www.tkiraaly.hu
*   Date         -  2016.04.30.
*   Chip         -  AVR
*   Compiler     -  avr-gcc (WinAVR)
*
*   kprint es kserial kiprobalasa
*   
*******************************************************************************/

#define F_CPU             4 MHZ

#include "tkiraaly_atmega8.h"
#include <util/delay.h>
#include "tkiraaly_kserial.cpp"




int main( void)
{ 
   U8 c= '.';
   int n= -1986;
   USART_9600_8N1;
   kserial s( 0);
   for(;;)
   {
       s.kputchar( c);
       s.print( " - ");
       s.print( c, '3');
       s.print( " - ");
       s.print( c, 'x');
       s.print( " - ");
       s.print( c, 'b');
       s.print( " - ");
       s.print( n);
       s.print( " - ");
       s.print( -n, '3');
       s.print( " - RAM");
       s.print( F( " - Flash"));
       s.newline();
       _delay_ms( 500);
   }
}
